ExtensionController Class |
Namespace: Dundas.BI.WebApi.Controllers
The ExtensionController type exposes the following members.
| Name | Description | |
|---|---|---|
| ExtensionController | Initializes a new instance of the ExtensionController class |
| Name | Description | |
|---|---|---|
| EnsureCallerContext |
If the current context is not already the specified context, creates a new caller context which is
a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.) | |
| EnsureFormFileMultipartContent |
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.) | |
| GetClientIdFromCookieOrProvided |
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.) | |
| GetDataProviders | GET /Extension/DataProviders/
Gets the data providers which can be created/saved by the caller.
| |
| GetDeliveryProviders | GET /Extension/DeliveryProviders/
Gets all the delivery providers in the system.
| |
| GetExportProviders | GET /Extension/ExportProviders/
Gets all the export providers in the system.
| |
| GetExtension | GET /Extension/{id}
Gets the extension with the given ID.
| |
| GetExtensionFile | GET /Extension/File/{id}
Gets the requested extension as a file.
| |
| GetFunctions | GET /Extension/Formulas/
Gets all the formulas in the system.
| |
| GetInstalledExtensions | GET /Extension/Installed
Gets all of the installed extensions in the system.
| |
| GetServiceT |
Gets the requested service.
(Inherited from ApiControllerBase.) | |
| GetSessionIdFromCookieHeaderOrProvided |
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.) | |
| GetTimeDimensionProviders | GET /Extension/TimeDimensionProviders/
Gets all the time dimension providers in the system.
| |
| GetTransforms | GET /Extension/Transforms/
Gets all the transforms in the system.
| |
| InstallExtensionPackage | POST /Extension/File
Install a new extension when sent as a file. This API call expects form files inside the request body.
| |
| LoadSession |
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.) | |
| ReloadExtensions | POST /Extension/Reload/
Requests that the server reload all extension files into the application.
| |
| RequestFirstFormFile |
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.) | |
| RequestFormFiles |
Retrieves the form files from the request.
(Inherited from ApiControllerBase.) | |
| ReturnInvalidWindowsIdentityResponse |
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.) | |
| UninstallExtension | DELETE /Extension/{id}
Uninstalls the extension with the provided ID.
|